%define LANG it

Summary: Italian manual pages
Name:    man-pages-%LANG
Version: 0.3.3
Release: 1mdk
License: GPL
URL:     ftp://ftp.pluto.linux.it:/pub/pluto/ildp/man/
Source:  %name-%version.tar.bz2
Patch:   man-pages-it-0.3.0-mdkpatch1
Group:   System/Internationalization
BuildRoot: %_tmppath/%name-%LANG
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG


%description 
Italian translations of Linux manual pages: this package includes not
only those from the LDP, but also translations of other popular
man-pages.
 BEWARE: some pages are dated!


%prep
%setup -c
%patch -p1

%build



%install

make manprefix=$RPM_BUILD_ROOT/%_mandir install

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory /%_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       /bin/rm -rf /var/catman/%LANG
   fi
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,man,755)
%doc README README.eng man-pages-it-0.3.lsm
%doc CONTRIB README.translator
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron
%_mandir/%LANG/man*



%changelog
* Thu Jan 30 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.3-1mdk
- found a projec site !!!
- new release
- they now don't include top-level directory

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-19mdk
- build release

* Thu May 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-18mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - use new std makewhatis to build whatis in spec and in cron entry 
    - add cron entry to nightly update whatis db
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - remove translations

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-17mdk
- Requires: locales-it

* Sun Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.3.0-16mdk
- rebuild on cluster

* Wed Aug 16 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.3.0-15mdk
- Used mandir. Eliminated the installation in /var/catman and X11 directories.

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-14mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-13mdk
- fix invalid vendor in spec (who did that ?

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-12mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Mar 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.3.0-11mdk
- Packaged for Mandrake distribution, compressed with bzip2.

* Sat Apr 17 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
- Upgraded to version 0.3.0

* Mon Mar 15 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
- Modified to satisfy the RHCN charter

* Sat Mar 13 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
- Using build roots

* Fri Dec 11 1998 Ottavio G. Rizzo <rizzo@maths.univ-rennes1.fr>
- added post- and preun-install scripts (copied from RH's man.rpm)

* Fri Dec 11 1998 Ottavio G. Rizzo <rizzo@maths.univ-rennes1.fr>
- updated to 0.2.8

* Fri Dec 11 1998 Ottavio G. Rizzo <rizzo@maths.univ-rennes1.fr>
- fixed permission problems in /var/catman/it
- included some more files as documentation

* Wed Oct 28 1998 Ottavio G. Rizzo <rizzo@maths.univ-rennes1.fr>
- created

